- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
WP3UnsupportedFixedLengthGroup Class Reference

`#include <WP3UnsupportedFixedLengthGroup.h>`

Inheritance diagram for WP3UnsupportedFixedLengthGroup:

## Public Member Functions
| WP3UnsupportedFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *)
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Additional Inherited Members
Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP3UnsupportedFixedLengthGroup::WP3UnsupportedFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

void WP3UnsupportedFixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * |
| ) |  |
| inline protected virtual

Implements WP3FixedLengthGroup.

void WP3UnsupportedFixedLengthGroup::parse | ( | WP3Listener * |  | ) |
| inline virtual

Implements WP3Part.

The documentation for this class was generated from the following files:

- WP3UnsupportedFixedLengthGroup.h
- WP3UnsupportedFixedLengthGroup.cpp